Subject: Re: [PATCH][XFRM] SAD info TLV aggregation

From: Patrick McHardy <[email-masked]>
Date: Thu, 03 May 2007 15:15:59 +0200

jamal wrote:
> On Thu, 2007-03-05 at 02:15 +0200, Patrick McHardy wrote:
> 
> 
>>I think using attributes here
> 
> 
> "here" as in SAD or SPD as well?

Both.

>> wasn't a bad idea since this exports
>>things that are implementation details and might need to be changed
>>or extended at some point.
> 
> 
> I think it may be reasonable to group the Hash info in one TLV
> and the IPSEC specific info in a separate TLV - is this what you are
> saying? Be explicit so i dont have to redo the patch over and over.

Yes, thats what I imagined too.

> The other way to look at it is in the future, a new TLV could be added
> that replaces the current one.

It would still make sense to seperate hash related things from the
SA count in my opinion.

>>In any case consistent naming here would be nice (SAD_ vs. SADXXX).
> 
> 
> yes, i need to make this change on the SPD as well. Dave hold onto both
> patches - i will resend.

Thanks.